> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bundleup.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Drive files

> List files from Google Drive, OneDrive, Box and Dropbox



## OpenAPI

````yaml https://unify.bundleup.io/openapi.json get /v1/drive/files
openapi: 3.1.0
info:
  title: BundleUp Unified API
  version: 1.0.0
  description: API for interacting with BundleUp Unified services
servers:
  - url: https://unify.bundleup.io
    description: Production server
security:
  - bearerAuth: []
tags:
  - name: Chat
    description: Chat related endpoints
  - name: Git
    description: Git related endpoints
  - name: Project Management
    description: Project Management related endpoints
  - name: MCP
    description: MCP server
  - name: CRM
    description: CRM related endpoints
paths:
  /v1/drive/files:
    get:
      tags:
        - Drive
      summary: List Drive files
      description: List files from Google Drive, OneDrive, Box and Dropbox
      operationId: get__files
      parameters:
        - schema:
            type:
              - string
              - 'null'
            enum:
              - 'true'
              - 'false'
            default: 'false'
            description: Whether to include raw response from the provider
          required: false
          name: include_raw
          in: query
        - schema:
            type: string
            description: Optional passthrough parameter
            example: '{"team_id":"12345"}'
          required: false
          name: params
          in: query
        - schema:
            type: number
            minimum: 1
            maximum: 100
            default: 100
            description: Number of files to return
          required: false
          name: limit
          in: query
        - schema:
            type: string
            description: Cursor for pagination
          required: false
          name: after
          in: query
        - schema:
            type: string
            description: API Key for authentication
          required: true
          name: Authorization
          in: header
        - schema:
            type: string
            description: Connection ID for the integration
          required: true
          name: BU-Connection-ID
          in: header
        - schema:
            type:
              - string
              - 'null'
            default: '3'
            description: Maximum number of retries for the request
          required: false
          name: BU-Max-Retries
          in: header
      responses:
        '200':
          description: Successful Response For files
          content:
            application/json:
              schema:
                type: object
                properties:
                  response:
                    type: object
                    properties:
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              description: ID
                            name:
                              type: string
                              description: Name
                            mime_type:
                              type:
                                - string
                                - 'null'
                              description: MIME type
                            size:
                              type:
                                - number
                                - 'null'
                              description: File size in bytes
                            created_at:
                              type:
                                - string
                                - 'null'
                              description: Creation date
                            updated_at:
                              type:
                                - string
                                - 'null'
                              description: Last update date
                            url:
                              type:
                                - string
                                - 'null'
                              description: File URL
                            is_folder:
                              type: boolean
                              description: Whether the item is a folder
                          required:
                            - id
                            - name
                            - mime_type
                            - size
                            - created_at
                            - updated_at
                            - url
                            - is_folder
                      metadata:
                        type: object
                        properties:
                          next:
                            type:
                              - string
                              - 'null'
                            description: Cursor for next page
                        required:
                          - next
                    required:
                      - data
                      - metadata
                required:
                  - response
        '400':
          description: Input Validation Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: number
                          example: 7001
                        message:
                          type: string
                          example: Input Validation Error
                        path:
                          type: array
                          items:
                            type: string
                            example: body
                      required:
                        - code
                        - message
                        - path
                required:
                  - success
                  - errors
        '401':
          description: Not Authorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: number
                          example: 1000
                        message:
                          type: string
                          example: Not Authorized
                      required:
                        - code
                        - message
                required:
                  - success
                  - errors
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: number
                          example: 7002
                        message:
                          type: string
                          example: Not Found
                      required:
                        - code
                        - message
                required:
                  - success
                  - errors
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````